For Developers
Cancel Extraction
POST https://ed.link/api/v2/teams/:team_id/sources/:source_id/extractions/:extraction_id/cancel
Cancels an in-progress extraction process.
Permissions
Requires the extractions.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:source_id | UUID | Yes | The ID of the source. |
:extraction_id | UUID | Yes | The ID of the extraction to cancel. |
Sample Request
const response = await axios.post(
`https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/extractions/${extraction_id}/cancel`,
{},
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "4a18dc60-5ff0-482a-9e1e-28ebc9735d10",
"state": "cancelled"
}
}
